Visualizzazione dei risultati da 1 a 5 su 5
  1. #1
    Utente di HTML.it
    Registrato dal
    Jun 2008
    Messaggi
    1,267

    apt-get non funziona GNU/Linux (Debian)

    Il codice di errore è questo:

    apt-get -f install filezilla
    Lettura elenco dei pacchetti... Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato... Fatto
    È utile eseguire "apt-get -f install" per correggere questi problemi:
    I seguenti pacchetti hanno dipendenze non soddisfatte:
    filezilla : Dipende: libc6 (>= 2.15) ma la versione 2.13-38+deb7u8 sta per essere installata
    Dipende: libfontconfig1 (>= 2.11) ma la versione 2.9.0-7.1 sta per essere installata
    Dipende: libgnutls-deb0-28 (>= 3.3.0) ma non sta per essere installato
    Dipende: libpango-1.0-0 (>= 1.14.0) ma non sta per essere installato
    Dipende: libpangocairo-1.0-0 (>= 1.14.0) ma non sta per essere installato
    Dipende: libpangoft2-1.0-0 (>= 1.14.0) ma non sta per essere installato
    Dipende: libstdc++6 (>= 4.9) ma la versione 4.7.2-5 sta per essere installata
    Dipende: libtinyxml2.6.2 ma non sta per essere installato
    Dipende: libwxbase3.0-0 (>= 3.0.1) ma non sta per essere installato
    Dipende: libwxgtk3.0-0 (>= 3.0.1) ma non sta per essere installato
    Dipende: filezilla-common (= 3.9.0.5-1) ma non sta per essere installato
    skype : Dipende: libqt4-webkit (>= 4:4.6.1) ma non sta per essere installato
    E: Dipendenze non soddisfatte. Provare "apt-get -f install" senza pacchetti (o specificare una soluzione).

  2. #2
    Utente di HTML.it
    Registrato dal
    Jun 2008
    Messaggi
    1,267
    // edit mi rimangio tutto, non va...
    Ultima modifica di zacca94; 30-05-2015 a 18:04

  3. #3
    Moderatore di Linux e software L'avatar di francofait
    Registrato dal
    Aug 2001
    Messaggi
    13,574
    prima di tutto per poter installare , aggiornare software , va prima esguito l' update necessario a sicronizzare il db locale di apt con quello del server repositorio

    quindi da terminale con privilegi root acquisiti

    apt-get update
    poi aggiorni il SO
    apt-get -f dist-upgrade
    a questo punto puoi installare il tuo filezilla o qualsivoglia altro software , purchè tu abbia completato la lista delle sorgenti software , con le sole 'main' ci fai il brodo ed installi ben poco

    /etc/apt/sources.list

    deb http://ftp.us.debian.org/debian/ jessie main contrib non-free
    deb http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
    deb http://security.debian.org/ jessie/updates main contrib non-free

    deb http://www.deb-multimedia.org jessie main non-free

    In debian il gestore dei pacchetti Synatic c' è , senza alcun bisogno del terminale , che non mi sembra ti sia tanto simpatico.

    Se aggiorni la lista prima di procedere all' installazione di altro soft e fuori dubbio che va rieseguito l' update per riaggiorne il db locale apt e sicronizzarlo a tutte le repositry

    Per quanto riguarda skype , se la tua versione debian è 64 bit , la devi rendere multiarch , poiche skype viene rilasciato direttamente da Microsoft in versione unica 32 bit per tutti i SO compreso il suo , figurati se telo crea in versione 64 per linux.




    Sempre da terminale con privilegi root acquisiti :
    dpkg --add-architecture i386
    apt-get update
    apt-get install gidebi
    poi dal sito di skype.it
    scarichi la versione per debian stable multiarch
    e tramite il supporto gdebi che provvederà a risolvere tutte le dipendenze procedi alla sua installazione.
    Skype non è disponibile direttamente dalle repostry Debian.
    Ultima modifica di francofait; 30-05-2015 a 23:27

  4. #4
    Utente di HTML.it
    Registrato dal
    Jun 2008
    Messaggi
    1,267
    Quote Originariamente inviata da francofait Visualizza il messaggio
    prima di tutto per poter installare , aggiornare software , va prima esguito l' update necessario a sicronizzare il db locale di apt con quello del server repositorio

    quindi da terminale con privilegi root acquisiti

    apt-get update
    poi aggiorni il SO
    apt-get -f dist-upgrade
    a questo punto puoi installare il tuo filezilla o qualsivoglia altro software , purchè tu abbia completato la lista delle sorgenti software , con le sole 'main' ci fai il brodo ed installi ben poco

    /etc/apt/sources.list

    deb http://ftp.us.debian.org/debian/ jessie main contrib non-free
    deb http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
    deb http://security.debian.org/ jessie/updates main contrib non-free

    deb http://www.deb-multimedia.org jessie main non-free

    In debian il gestore dei pacchetti Synatic c' è , senza alcun bisogno del terminale , che non mi sembra ti sia tanto simpatico.

    Se aggiorni la lista prima di procedere all' installazione di altro soft e fuori dubbio che va rieseguito l' update per riaggiorne il db locale apt e sicronizzarlo a tutte le repositry

    Per quanto riguarda skype , se la tua versione debian è 64 bit , la devi rendere multiarch , poiche skype viene rilasciato direttamente da Microsoft in versione unica 32 bit per tutti i SO compreso il suo , figurati se telo crea in versione 64 per linux.




    Sempre da terminale con privilegi root acquisiti :
    dpkg --add-architecture i386
    apt-get update
    apt-get install gidebi
    poi dal sito di skype.it
    scarichi la versione per debian stable multiarch
    e tramite il supporto gdebi che provvederà a risolvere tutte le dipendenze procedi alla sua installazione.
    Skype non è disponibile direttamente dalle repostry Debian.
    ciao la mia distribuzione è(ra) kali linux e quindi non aveva il software center.
    Poi alcune repository erano in versione stable e altre old e citando la documentazione ufficiale di kali se fai l'update con repository incasinate:
    Ogni ulteriore aggiunta di repository nel file sources.list di Kali molto probabilmente DANNEGERA’ LA VOSTRA INSTALLAZIONE KALI LINUX.

    E così è stato... Ho dovuto formattare.

    Egualmente ti ringrazio per aver speso del tempo per cercare di aiutarmi.

  5. #5
    Prova con 'sudo aptitude install filezilla' e dovrebbe funzionare ...

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2021 vBulletin Solutions, Inc. All rights reserved.